Ubuntu 16.04 Xenial 64bits

Logs

-----> Fetching repository

====== Attempt #1

Cloning into '/tmp/d20170314-16665-wgt9ys/input'...

-----> Restoring cache

-----> Starting packaging process

-----> Fetching buildpack /tmp/buildpacks/sources/pkgr/heroku-buildpack-ruby.git at buildcurl

-----> Running hook: "/tmp/before_hook20170314-17-124nvd9.sh"

-----> Ruby app

Linux 70f2a3070b1c 3.13.0-35-generic #62-Ubuntu SMP Fri Aug 15 01:58:42 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

ruby 2.3.1p112 (2016-04-26 revision 54768) [x86_64-linux]

CURL_CONNECT_TIMEOUT=120

PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

APP_NAME=zammad

PWD=/tmp/d20170314-17-1e0vyj6/opt/zammad

SHLVL=1

REQUEST_ID=89799

RAILS_ENV=production

HOME=/home/pkgr

CURL_TIMEOUT=1200

PORT=3000

TARGET=ubuntu:16.04

_=/usr/bin/env

DATABASE_URL=postgres://postgres@127.0.0.1:5432/postgres

GEM

remote: https://rubygems.org/

specs:

actionmailer (4.2.7.1)

actionpack (= 4.2.7.1)

actionview (= 4.2.7.1)

activejob (= 4.2.7.1)

mail (~> 2.5, >= 2.5.4)

rails-dom-testing (~> 1.0, >= 1.0.5)

actionpack (4.2.7.1)

actionview (= 4.2.7.1)

rack (~> 1.6)

activesupport (= 4.2.7.1)

rack-test (~> 0.6.2)

rails-dom-testing (~> 1.0, >= 1.0.5)

rails-html-sanitizer (~> 1.0, >= 1.0.2)

actionview (4.2.7.1)

erubis (~> 2.7.0)

activesupport (= 4.2.7.1)

builder (~> 3.1)

rails-dom-testing (~> 1.0, >= 1.0.5)

rails-html-sanitizer (~> 1.0, >= 1.0.2)

activejob (4.2.7.1)

activesupport (= 4.2.7.1)

globalid (>= 0.3.0)

activemodel (4.2.7.1)

activesupport (= 4.2.7.1)

builder (~> 3.1)

activerecord (4.2.7.1)

activemodel (= 4.2.7.1)

activesupport (= 4.2.7.1)

arel (~> 6.0)

activerecord-session_store (1.0.0)

actionpack (>= 4.0, < 5.1)

activerecord (>= 4.0, < 5.1)

multi_json (~> 1.11, >= 1.11.2)

rack (>= 1.5.2, < 3)

activesupport (4.2.7.1)

json (~> 1.7, >= 1.7.7)

i18n (~> 0.7)

railties (>= 4.0, < 5.1)

minitest (~> 5.1)

tzinfo (~> 1.1)

thread_safe (~> 0.3, >= 0.3.4)

addressable (2.4.0)

ast (2.3.0)

arel (6.0.3)

autoprefixer-rails (6.4.1.1)

biz (1.6.0)

execjs

clavius (~> 1.0)

tzinfo

browser (2.2.0)

buftok (0.2.0)

childprocess (0.5.9)

builder (3.2.2)

ffi (~> 1.0, >= 1.0.11)

clavius (1.0.2)

clearbit (0.2.5)

nestful (~> 1.1.0)

coffee-rails (4.2.1)

coderay (1.1.1)

coffee-script (>= 2.2.0)

railties (>= 4.0.0, < 5.2.x)

coffee-script-source

coffee-script (2.4.1)

execjs

coffee-script-source (1.10.0)

coffeelint (1.14.0)

execjs

coffee-script

json

concurrent-ruby (1.0.2)

daemons (1.2.4)

delayed_job_active_record (4.1.1)

activerecord (>= 3.0, < 5.1)

activesupport (>= 3.0, < 5.1)

delayed_job (4.1.2)

delayed_job (>= 3.0, < 5)

diffy (3.1.0)

dnsruby (1.59.3)

domain_name (0.5.20160826)

docile (1.1.5)

unf (>= 0.0.5, < 1.0.0)

doorkeeper (4.2.0)

railties (>= 4.2)

eco (1.0.0)

coffee-script

eco-source

execjs

eco-source (1.1.0.rc.1)

em-websocket (0.5.1)

eventmachine (>= 0.12.9)

http_parser.rb (~> 0.6.0)

email_verifier (0.1.0)

dnsruby (>= 1.5)

equalizer (0.0.10)

erubis (2.7.0)

eventmachine (1.2.0.1)

execjs (2.7.0)

multipart-post (>= 1.2, < 3)

faraday (0.9.2)

faraday-http-cache (1.3.1)

faraday (~> 0.8)

ffi (1.9.14)

formatador (0.2.5)

github_changelog_generator (1.14.1)

activesupport

faraday-http-cache

multi_json

octokit (~> 4.0)

rake (>= 10.0)

rainbow (>= 2.1)

retriable (~> 2.1)

globalid (0.3.7)

guard (2.14.0)

activesupport (>= 4.1.0)

formatador (>= 0.2.4)

listen (>= 2.7, < 4.0)

lumberjack (~> 1.0)

nenv (~> 0.1)

notiffany (~> 0.0)

shellany (~> 0.0)

pry (>= 0.9.12)

thor (>= 0.18.1)

guard-compat (1.2.1)

guard-livereload (2.5.2)

em-websocket (~> 0.5)

guard (~> 2.8)

guard-compat (~> 1.0)

multi_json (~> 1.8)

hashie (3.4.4)

http (1.0.4)

htmlentities (4.3.4)

addressable (~> 2.3)

http-cookie (~> 1.0)

http-form_data (~> 1.0.1)

http_parser.rb (~> 0.6.0)

http-cookie (1.0.2)

domain_name (~> 0.5)

http-form_data (1.0.1)

http_parser.rb (0.6.0)

i18n (0.7.0)

icalendar (2.4.1)

inflection (1.0.0)

json (1.8.3)

jwt (1.5.4)

koala (2.4.0)

addressable

faraday

multi_json (>= 1.3.0)

rb-fsevent (~> 0.9, >= 0.9.4)

libv8 (3.16.14.15)

listen (3.1.5)

rb-inotify (~> 0.9, >= 0.9.7)

ruby_dep (~> 1.2)

loofah (2.0.3)

lumberjack (1.0.10)

nokogiri (>= 1.5.9)

mail (2.6.4)

mime-types (>= 1.16, < 4)

thread_safe (~> 0.3, >= 0.3.1)

memoizable (0.4.2)

mime-types-data (~> 3.2015)

method_source (0.8.2)

mime-types (3.1)

mime-types-data (3.2016.0521)

mini_portile2 (2.1.0)

minitest (5.9.0)

multi_json (1.12.1)

multi_xml (0.5.5)

mysql2 (0.4.4)

multipart-post (2.0.0)

naught (1.1.0)

nestful (1.1.1)

nenv (0.3.0)

nokogiri (1.6.8)

net-ldap (0.15.0)

pkg-config (~> 1.1.7)

mini_portile2 (~> 2.1.0)

nenv (~> 0.1)

notiffany (0.1.1)

shellany (~> 0.0)

oauth (0.5.1)

oauth2 (1.2.0)

faraday (>= 0.8, < 0.10)

jwt (~> 1.0)

multi_json (~> 1.3)

multi_xml (~> 0.5)

rack (>= 1.2, < 3)

sawyer (~> 0.7.0, >= 0.5.3)

octokit (4.4.1)

omniauth (1.3.1)

hashie (>= 1.2, < 4)

rack (>= 1.0, < 3)

omniauth-facebook (4.0.0)

omniauth-oauth2 (~> 1.2)

omniauth-github (1.1.2)

omniauth (~> 1.0)

omniauth-oauth2 (~> 1.1)

omniauth-gitlab (1.0.2)

omniauth-google-oauth2 (0.4.1)

omniauth-oauth2 (~> 1.0)

omniauth (~> 1.0)

jwt (~> 1.5.2)

multi_json (~> 1.3)

omniauth (>= 1.1.1)

omniauth-oauth2 (>= 1.3.1)

omniauth-linkedin-oauth2 (0.1.5)

omniauth-oauth2

omniauth (~> 1.0)

omniauth-oauth (1.1.0)

omniauth (~> 1.0)

oauth

omniauth-oauth2 (1.4.0)

oauth2 (~> 1.0)

omniauth-twitter (1.2.1)

omniauth (~> 1.2)

omniauth-oauth (~> 1.1)

json (~> 1.3)

parser (2.3.1.2)

ast (~> 2.2)

pg (0.18.4)

pkg-config (1.1.7)

phony (2.15.29)

power_assert (0.3.1)

pluginator (1.3.0)

powerpack (0.1.1)

pluginator (~> 1.1)

pre-commit (0.28.0)

pry (0.10.4)

coderay (~> 1.1.0)

method_source (~> 0.8.1)

puma (3.6.0)

slop (~> 3.4)

rack (1.6.4)

rack-livereload (0.3.16)

rack

rack-test (0.6.3)

rack (>= 1.0)

actionmailer (= 4.2.7.1)

rails (4.2.7.1)

actionview (= 4.2.7.1)

actionpack (= 4.2.7.1)

activejob (= 4.2.7.1)

activerecord (= 4.2.7.1)

activemodel (= 4.2.7.1)

activesupport (= 4.2.7.1)

bundler (>= 1.3.0, < 2.0)

railties (= 4.2.7.1)

sprockets-rails

rails-deprecated_sanitizer (1.0.3)

activesupport (>= 4.2.0.alpha)

rails-dom-testing (1.0.7)

activesupport (>= 4.2.0.beta, < 5.0)

nokogiri (~> 1.6.0)

rails-deprecated_sanitizer (>= 1.0.1)

loofah (~> 2.0)

rails-html-sanitizer (1.0.3)

rails-observers (0.1.2)

activemodel (~> 4.0)

railties (4.2.7.1)

actionpack (= 4.2.7.1)

activesupport (= 4.2.7.1)

rake (>= 0.8.7)

rainbow (2.1.0)

thor (>= 0.18.1, < 2.0)

rake (11.2.2)

rb-fsevent (0.9.7)

rb-inotify (0.9.7)

ffi (>= 0.5.0)

ref (2.0.0)

retriable (2.1.0)

rubocop (0.42.0)

parser (>= 2.3.1.1, < 3.0)

powerpack (~> 0.1)

rainbow (>= 1.99.1, < 3.0)

ruby-progressbar (~> 1.7)

ruby-progressbar (1.8.1)

unicode-display_width (~> 1.0, >= 1.0.1)

ruby_dep (1.4.0)

rubyzip (1.2.1)

sass (3.4.22)

sass-rails (5.0.6)

railties (>= 4.0.0, < 6)

sass (~> 3.1)

sprockets (>= 2.8, < 4.0)

tilt (>= 1.1, < 3)

sprockets-rails (>= 2.0, < 4.0)

sawyer (0.7.0)

addressable (>= 2.3.5, < 2.5)

faraday (~> 0.8, < 0.10)

selenium-webdriver (2.53.4)

scrub_rb (1.0.1)

childprocess (~> 0.5)

rubyzip (~> 1.0)

shellany (0.0.1)

websocket (~> 1.0)

simple_oauth (0.3.1)

simple-rss (1.3.1)

simplecov (0.12.0)

docile (~> 1.1.0)

json (>= 1.8, < 3)

simplecov-html (~> 0.10.0)

simplecov-rcov (0.2.3)

simplecov-html (0.10.0)

simplecov (>= 0.4.1)

slop (3.6.0)

spring (1.7.2)

slack-notifier (1.5.1)

sprockets (3.7.0)

concurrent-ruby (~> 1.0)

rack (> 1, < 3)

actionpack (>= 4.0)

sprockets-rails (3.2.0)

activesupport (>= 4.0)

sprockets (>= 3.0.0)

sqlite3 (1.3.11)

test-unit (3.2.1)

power_assert

libv8 (~> 3.16.14.0)

therubyracer (0.12.2)

ref

thor (0.19.1)

thread_safe (0.3.5)

tilt (2.0.5)

twitter (5.16.0)

addressable (~> 2.3)

buftok (~> 0.2.0)

equalizer (= 0.0.10)

http (~> 1.0)

faraday (~> 0.9.0)

http_parser.rb (~> 0.6.0)

json (~> 1.8)

memoizable (~> 0.4.0)

naught (~> 1.0)

simple_oauth (~> 0.3.0)

thread_safe (~> 0.1)

tzinfo (1.2.2)

uglifier (3.0.2)

execjs (>= 0.3.0, < 3)

unf (0.1.4)

unf_ext

unicode-display_width (1.1.1)

unf_ext (0.0.7.2)

websocket (1.2.3)

writeexcel (1.0.5)

zendesk_api (1.14.0)

faraday (~> 0.9)

hashie (>= 1.2, < 4.0, != 3.3.0)

inflection

mime-types

multipart-post (~> 2.0)

scrub_rb (~> 1.0.1)

PLATFORMS

ruby

autoprefixer-rails

activerecord-session_store

DEPENDENCIES

biz

browser

clearbit

coffee-script-source

coffee-rails

coffeelint

daemons

diffy

delayed_job_active_record

doorkeeper

eco

em-websocket

email_verifier

eventmachine

execjs

github_changelog_generator

guard-livereload

guard

htmlentities

icalendar

json

libv8

koala

mail

mime-types

mysql2

net-ldap

oauth2

omniauth

omniauth-facebook

omniauth-github

omniauth-gitlab

omniauth-oauth2

omniauth-linkedin-oauth2

omniauth-google-oauth2

omniauth-twitter

pg

phony

pre-commit

puma

rack-livereload

rails (= 4.2.7.1)

rails-observers

rb-fsevent

rubocop

sass-rails

selenium-webdriver

simple-rss

simplecov

slack-notifier

simplecov-rcov

spring

sprockets

sqlite3

test-unit

therubyracer

twitter

uglifier

zendesk_api

writeexcel

ruby 2.3.1p112

RUBY VERSION

BUNDLED WITH

1.12.5

+ rm app/assets/javascripts/app/controllers/layout_ref.coffee

+ rm app/assets/javascripts/app/controllers/_integration/nagios.coffee

+ rm -rf app/assets/javascripts/app/views/layout_ref/

+ rm app/assets/javascripts/app/controllers/karma.coffee

+ rm app/assets/javascripts/app/controllers/_integration/icinga.coffee

+ rm app/assets/javascripts/app/controllers/_integration/clearbit.coffee

+ rm app/assets/javascripts/app/controllers/role.coffee

+ rm app/assets/javascripts/app/controllers/report.coffee

+ rm app/assets/javascripts/app/controllers/report_profile.coffee

-----> Compiling Ruby/Rails

-----> Using Ruby version: ruby-2.3.1

-----> Installing dependencies using bundler 1.11.2

cp: '/tmp/d20170314-17-1e0vyj6/opt/zammad/.git/cache/vendor/bundle/.' and '/tmp/d20170314-17-1e0vyj6/opt/zammad/.git/cache/vendor/bundle/.' are the same file

Running: bundle install --without development:test --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deployment

Warning: the running version of Bundler is older than the version that created the lockfile. We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.

Using i18n 0.7.0

Using rake 11.2.2

Using json 1.8.3

Using minitest 5.9.0

Using thread_safe 0.3.5

Using erubis 2.7.0

Using builder 3.2.2

Using mini_portile2 2.1.0

Using rack 1.6.4

Using pkg-config 1.1.7

Using mime-types-data 3.2016.0521

Using arel 6.0.3

Using thor 0.19.1

Using multi_json 1.12.1

Using addressable 2.4.0

Using execjs 2.7.0

Using clavius 1.0.2

Using buftok 0.2.0

Using browser 2.2.0

Using nestful 1.1.1

Using concurrent-ruby 1.0.2

Using coffee-script-source 1.10.0

Using daemons 1.2.4

Using diffy 3.1.0

Using dnsruby 1.59.3

Using unf_ext 0.0.7.2

Using eco-source 1.1.0.rc.1

Using eventmachine 1.2.0.1

Using http_parser.rb 0.6.0

Using equalizer 0.0.10

Using multipart-post 2.0.0

Using hashie 3.4.4

Using htmlentities 4.3.4

Using http-form_data 1.0.1

Using icalendar 2.4.1

Using inflection 1.0.0

Using jwt 1.5.4

Using multi_xml 0.5.5

Using libv8 3.16.14.15

Using mysql2 0.4.4

Using net-ldap 0.15.0

Using naught 1.1.0

Using oauth 0.5.1

Using pg 0.18.4

Using phony 2.15.29

Using puma 3.6.0

Using bundler 1.11.2

Using ref 2.0.0

Using tilt 2.0.5

Using sass 3.4.22

Using scrub_rb 1.0.1

Using simple-rss 1.3.1

Using simple_oauth 0.3.1

Using slack-notifier 1.5.1

Using writeexcel 1.0.5

Using tzinfo 1.2.2

Using memoizable 0.4.2

Using nokogiri 1.6.8

Using mime-types 3.1

Using rack-test 0.6.3

Using autoprefixer-rails 6.4.1.1

Using uglifier 3.0.2

Using sprockets 3.7.0

Using clearbit 0.2.5

Using coffee-script 2.4.1

Using unf 0.1.4

Using em-websocket 0.5.1

Using email_verifier 0.1.0

Using faraday 0.9.2

Using omniauth 1.3.1

Using therubyracer 0.12.2

Using activesupport 4.2.7.1

Using mail 2.6.4

Using biz 1.6.0

Using loofah 2.0.3

Using eco 1.0.0

Using koala 2.4.0

Using domain_name 0.5.20160826

Using oauth2 1.2.0

Using zendesk_api 1.14.0

Using omniauth-oauth 1.1.0

Using rails-deprecated_sanitizer 1.0.3

Using activemodel 4.2.7.1

Using globalid 0.3.7

Using delayed_job 4.1.2

Using rails-html-sanitizer 1.0.3

Using http-cookie 1.0.2

Using rails-dom-testing 1.0.7

Using omniauth-oauth2 1.4.0

Using activejob 4.2.7.1

Using omniauth-twitter 1.2.1

Using activerecord 4.2.7.1

Using rails-observers 0.1.2

Using http 1.0.4

Using omniauth-facebook 4.0.0

Using omniauth-github 1.1.2

Using omniauth-gitlab 1.0.2

Using omniauth-google-oauth2 0.4.1

Using omniauth-linkedin-oauth2 0.1.5

Using actionview 4.2.7.1

Using twitter 5.16.0

Using delayed_job_active_record 4.1.1

Using actionpack 4.2.7.1

Using actionmailer 4.2.7.1

Using railties 4.2.7.1

Using sprockets-rails 3.2.0

Using coffee-rails 4.2.1

Using activerecord-session_store 1.0.0

Using doorkeeper 4.2.0

Using sass-rails 5.0.6

Using rails 4.2.7.1

Bundle complete! 62 Gemfile dependencies, 111 gems now installed.

Gems in the groups development and test were not installed.

Bundle completed (0.60s)

Bundled gems are installed into ./vendor/bundle.

Cleaning up the bundler cache.

Warning: the running version of Bundler is older than the version that created the lockfile. We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.

-----> Preparing app for Rails asset pipeline

Running: rake assets:precompile

I, [2017-03-14T13:57:38.472767 #806] INFO -- : Writing /tmp/d20170314-17-1e0vyj6/opt/zammad/public/assets/application-5f2f7f1c1701d4678ee7e9e13feb615886819b1947a87ffa811434c88372ed48.js

I, [2017-03-14T13:57:38.473206 #806] INFO -- : Writing /tmp/d20170314-17-1e0vyj6/opt/zammad/public/assets/application-5f2f7f1c1701d4678ee7e9e13feb615886819b1947a87ffa811434c88372ed48.js.gz

Asset precompilation completed (99.08s)

Cleaning assets

Running: rake assets:clean

I, [2017-03-14T13:57:41.534659 #818] INFO -- : Removed application-d11e883d37b22518e7a4711ad20da0841f8b16bf49903b530c16ec350fd0340f.js

###### WARNING:

Include 'rails_12factor' gem to enable all platform features

See https://devcenter.heroku.com/articles/rails-integration-gems for more information.

-----> Verifying package zammad_1.1.3-1489494950.a5ced41.xenial_amd64.deb

NEW PACKAGE: zammad_1.1.3-1489494950.a5ced41.xenial_amd64.deb (68.18 MiB)

-----> Releasing...

DONE!